Request
curl -X POST https://sandbox.api.lendeasy.ai/v1/servicing/promises/$PROMISE_ID/revisions \
-H "Authorization: Bearer $TOKEN" \
-H "Idempotency-Key: $IDEMPOTENCY_KEY" \
-H "Content-Type: application/json" \
-d '{
"commitments": [
{
"amount": "517.14",
"dueDate": "2027-05-22"
}
],
"reasonCode": "borrower_requested_single_payment",
"expectedVersion": 1
}'
await fetch(`https://sandbox.api.lendeasy.ai/v1/servicing/promises/${promiseId}/revisions`, {
method: "POST",
headers: { Authorization: `Bearer ${token}`, "Idempotency-Key": idempotencyKey, "Content-Type": "application/json" },
body: JSON.stringify({
"commitments": [
{
"amount": "517.14",
"dueDate": "2027-05-22"
}
],
"reasonCode": "borrower_requested_single_payment",
"expectedVersion": 1
}),
});
requests.post(
f"https://sandbox.api.lendeasy.ai/v1/servicing/promises/{promise_id}/revisions",
headers={"Authorization": f"Bearer {token}", "Idempotency-Key": idempotency_key},
json={
"commitments": [
{
"amount": "517.14",
"dueDate": "2027-05-22"
}
],
"reasonCode": "borrower_requested_single_payment",
"expectedVersion": 1
},
)
{
"promiseId": "ptp_HBR_72",
"caseId": "case_HBR_COL_51",
"loanId": "loan_harbor_7X2K",
"status": "active",
"commitments": [
{
"amount": "517.14",
"dueDate": "2027-05-22"
}
],
"guardrailDecision": "within_policy",
"version": 1,
"supersedesPromiseId": "ptp_HBR_71"
}
{
"type": "https://docs.lendeasy.ai/errors/unauthorized",
"title": "Unauthorized",
"status": 401,
"code": "unauthorized",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/forbidden",
"title": "Forbidden",
"status": 403,
"code": "forbidden",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/version_conflict",
"title": "Version Conflict",
"status": 409,
"code": "version_conflict",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/validation_error",
"title": "Validation Error",
"status": 422,
"code": "validation_error",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}
{
"type": "https://docs.lendeasy.ai/errors/rate_limited",
"title": "Rate Limited",
"status": 429,
"code": "rate_limited",
"detail": "The request could not be applied.",
"requestId": "req_01J2R8M6YQ3C7K2N"
}